Package org.eclipse.graphiti.mm.algorithms.styles

# Enum Class LocationType

java.lang.Object
java.lang.Enum<LocationType>
org.eclipse.graphiti.mm.algorithms.styles.LocationType

All Implemented Interfaces:
  `Serializable`, `Comparable<LocationType>`, `Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum LocationType extends Enum<LocationType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Location Type', and utility methods for working with them.

See Also:
  - `StylesPackage.getLocationType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOCATION_TYPE_ABSOLUTE_END`
The 'LOCATION TYPE ABSOLUTE END' literal object.
`LOCATION_TYPE_ABSOLUTE_START`
The 'LOCATION TYPE ABSOLUTE START' literal object.
`LOCATION_TYPE_RELATIVE`
The 'LOCATION TYPE RELATIVE' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LOCATION_TYPE_ABSOLUTE_END_VALUE`
The 'LOCATION TYPE ABSOLUTE END' literal value.
`static final int`
`LOCATION_TYPE_ABSOLUTE_START_VALUE`
The 'LOCATION TYPE ABSOLUTE START' literal value.
`static final int`
`LOCATION_TYPE_RELATIVE_VALUE`
The 'LOCATION TYPE RELATIVE' literal value.
`static final List<LocationType>`
`VALUES`
A public read-only list of all the 'Location Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static LocationType`
`get(int value)`
Returns the 'Location Type' literal with the specified integer value.
`static LocationType`
`get(String literal)`
Returns the 'Location Type' literal with the specified literal value.
`static LocationType`
`getByName(String name)`
Returns the 'Location Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static LocationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LocationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOCATION_TYPE_RELATIVE

public static final LocationType LOCATION_TYPE_RELATIVE
The 'LOCATION TYPE RELATIVE' literal object.

See Also:
  - `LOCATION_TYPE_RELATIVE_VALUE`

### LOCATION_TYPE_ABSOLUTE_START

public static final LocationType LOCATION_TYPE_ABSOLUTE_START
The 'LOCATION TYPE ABSOLUTE START' literal object.

See Also:
  - `LOCATION_TYPE_ABSOLUTE_START_VALUE`

### LOCATION_TYPE_ABSOLUTE_END

public static final LocationType LOCATION_TYPE_ABSOLUTE_END
The 'LOCATION TYPE ABSOLUTE END' literal object.

See Also:
  - `LOCATION_TYPE_ABSOLUTE_END_VALUE`

## Field Details

### LOCATION_TYPE_RELATIVE_VALUE

public static final int LOCATION_TYPE_RELATIVE_VALUE
The 'LOCATION TYPE RELATIVE' literal value.

If the meaning of 'LOCATION TYPE RELATIVE' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LOCATION_TYPE_RELATIVE`
  - Constant Field Values

### LOCATION_TYPE_ABSOLUTE_START_VALUE

public static final int LOCATION_TYPE_ABSOLUTE_START_VALUE
The 'LOCATION TYPE ABSOLUTE START' literal value.

If the meaning of 'LOCATION TYPE ABSOLUTE START' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LOCATION_TYPE_ABSOLUTE_START`
  - Constant Field Values

### LOCATION_TYPE_ABSOLUTE_END_VALUE

public static final int LOCATION_TYPE_ABSOLUTE_END_VALUE
The 'LOCATION TYPE ABSOLUTE END' literal value.

If the meaning of 'LOCATION TYPE ABSOLUTE END' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LOCATION_TYPE_ABSOLUTE_END`
  - Constant Field Values

### VALUES

public static final List<LocationType> VALUES
A public read-only list of all the 'Location Type' enumerators.

## Method Details

### values

public static LocationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LocationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static LocationType get(String literal)
Returns the 'Location Type' literal with the specified literal value.

### getByName

public static LocationType getByName(String name)
Returns the 'Location Type' literal with the specified name.

### get

public static LocationType get(int value)
Returns the 'Location Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<LocationType>`